UserRegister

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.servlets
Class UserRegister

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              com.fenalco.servlets.UserRegister

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class UserRegister

extends javax.servlet.http.HttpServlet

Version:
  recibe la información de un nuevo usuario y la intenta adicionar a la base de datos
Author:
  andres
See Also:
  Serialized Form

Constructor Summary
`UserRegister()`

Method Summary
`void` | `destroy()` Destroys the servlet.
`protected void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Handles the HTTP `GET` method.
`protected void` | `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`java.lang.String` | `getServletInfo()` Returns a short description of the servlet.
`void` | `init(javax.servlet.ServletConfig config)` Initializes the servlet.
`protected void` | `processRequest(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Recibe la información del usuario y de la mepresa, con eso crea un objeto de la clase usuario y uno de la clase Company, les asigna los parametros recibidos y le indica que se almacene en la base de datos llamando al método saveData.

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### UserRegister

    public UserRegister()

Method Detail

### init

    public void init(javax.servlet.ServletConfig config)
              throws javax.servlet.ServletException

  Initializes the servlet.

  Specified by:
    `init` in interface `javax.servlet.Servlet`
  Overrides:
    `init` in class `javax.servlet.GenericServlet`
  Throws:
    `javax.servlet.ServletException`

### destroy

    public void destroy()

  Destroys the servlet.

  Specified by:
    `destroy` in interface `javax.servlet.Servlet`
  Overrides:
    `destroy` in class `javax.servlet.GenericServlet`

### processRequest

    protected void processRequest(javax.servlet.http.HttpServletRequest request,
                                  javax.servlet.http.HttpServletResponse response)
                           throws javax.servlet.ServletException,
                                  java.io.IOException

  Recibe la información del usuario y de la mepresa, con eso crea un objeto de la clase usuario y uno de la clase Company, les asigna los parametros recibidos y le indica que se almacene en la base de datos llamando al método saveData. Los parámetros de la empresa que recibe son los siguientes: - type: tipo de empresa (puede ser minorista o proveedor) - socialName: razón social de la empresa - commercialname: nombre de la empresa - description: descripción de la empresa - companyId: NIT de la empresa - sector: sector económico de la empresa - address: dirección de la empresa - phoneNumber1: número telefonico principal de la empresa - phoneNumber2: número telefónico secundario de la empresa - contact1: nombre de la persona de contacto 1 - contact2: nombre de la persona de contacto 2 - fax: número de fax de la empresa - email: correo electrónico de la empresa - fenalcoNumber: número de afiliación a fenalco de la empresa - ciiu: ciiu de la empresa - country: país en donde se encuentra la empresa - province: departamento donde se encuentra la empresa - city: ciudad en donde se encuentra la empresa - zone: zona en donde se encuentra la empresa - neighbourhood: barrio en donde se encuentra la empresa - combo: selección geográfica que realizó el usuario, puede ser país, departamento, ciudad o barrio, esto se usa para saber que información pasarle al jsp en las listas Además de estos datos, recibe los siguientes con información acerca del usuario - login: nombre de usuario - passwd: contraseña - passwd2: confirmacion de la contraseña - firstName: nombre - lastName: apellido - position: cargo - userEmail: email - idNumber: cédula del usuario Si el tipo de empresa es proveedor, recibe la siguiente información: - GLN: global localization number del proveedor Crea un nuevo objeto de la clase Transaction para manejar una transacción con la base de datos Con los datos de la empresa crea un objeto de tipo Company, le adiciona los datos recibidos y llama a la función saveData pasandole la transacción para almacenar esta información en la base de datos Con los datos del usuario, crea un objeto de tipo User, le adiciona los datos recibidos y llama a la función saveData pasandole la transacción para almacenar esta información en la base de datos. Si la empresa es de tipo proveedor, crea un objeto de tipo Supplier, le adiciona los datos especificos al proveedor y llama a la función saveData pasandole la transacción para almacenar esta información en la base de datos. llama al método execute de la transacción para ejecutarla Luego de almacenar la información tanto de la empresa como del usuario, se redireccióna a finalizaregistro.jsp y se envia un mensaje indicandole al usuario el resultado de su registro, ya sea que haya sido exitoso o que no se haya podido completar por algun motivo

  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doGet

    protected void doGet(javax.servlet.http.HttpServletRequest request,
                         javax.servlet.http.HttpServletResponse response)
                  throws javax.servlet.ServletException,
                         java.io.IOException

  Handles the HTTP `GET` method.

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`
  Parameters:
    `request` - servlet request
    `response` - servlet response
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### doPost

    protected void doPost(javax.servlet.http.HttpServletRequest request,
                          javax.servlet.http.HttpServletResponse response)
                   throws javax.servlet.ServletException,
                          java.io.IOException

  Overrides:
    `doPost` in class `javax.servlet.http.HttpServlet`
  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

### getServletInfo

    public java.lang.String getServletInfo()

  Returns a short description of the servlet.

  Specified by:
    `getServletInfo` in interface `javax.servlet.Servlet`
  Overrides:
    `getServletInfo` in class `javax.servlet.GenericServlet`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD